GNU bug report logs - #47040
27.1; PNG binary transparency is ignored

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ynyaaa@HIDDEN; dated Wed, 10 Mar 2021 10:47:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47040 <at> debbugs.gnu.org:


Received: (at 47040) by debbugs.gnu.org; 11 Mar 2021 16:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 11:53:46 2021
Received: from localhost ([127.0.0.1]:54747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKOZG-0004Ro-M5
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 11:53:46 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lKOZE-0004RZ-4W
 for 47040 <at> debbugs.gnu.org; Thu, 11 Mar 2021 11:53:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=e4rhHlAq1EWdInQinJ8S3mQLtYMktKtvKsf+qLyU2Mo=; b=I6Qik7LDGkGTGt0lEXjR0pFedQ
 s8wUhRYw7uqDvX0nI7kMKW/LbTDZuAYlR8At8PU6IUXr+gSOqrWb4KG3MUm/knERWPiAMVV9nMxyH
 9HLCWMjvkrCc2yqzgdOq69fsxBu8g+rQ/6lgeG8EgPwi0ErZpe5ezPM3xN1LWuUSiafM=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lKOZ5-0002Tq-Ce; Thu, 11 Mar 2021 17:53:38 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#47040: 27.1; PNG binary transparency is ignored
References: <86o8fr1e3d.fsf@HIDDEN> <87czw7jbgq.fsf@HIDDEN>
 <83tupjniri.fsf@HIDDEN> <YElEwZTerbLMFGR9@HIDDEN>
X-Now-Playing: Depeche Mode's _Speak & Spell_: "Big Muff"
Date: Thu, 11 Mar 2021 17:53:33 +0100
In-Reply-To: <YElEwZTerbLMFGR9@HIDDEN> (Alan Third's message
 of "Wed, 10 Mar 2021 22:14:25 +0000")
Message-ID: <878s6tiqcy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alan Third <alan@HIDDEN> writes: > I see the same on NS, 
 so it must be something wrong with the libpng > support code. Although I
 don't know why Lars doesn't see it on Debian. I get the following: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 DC_PNG_UNO_LARGO       Message contains a single large png image
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47040
Cc: Eli Zaretskii <eliz@HIDDEN>, ynyaaa@HIDDEN, 47040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Alan Third <alan@HIDDEN> writes:

> I see the same on NS, so it must be something wrong with the libpng
> support code. Although I don't know why Lars doesn't see it on Debian.

I get the following:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47040; Package emacs. Full text available.

Message received at 47040 <at> debbugs.gnu.org:


Received: (at 47040) by debbugs.gnu.org; 10 Mar 2021 22:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 17:14:36 2021
Received: from localhost ([127.0.0.1]:52048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK76C-0001XJ-G7
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 17:14:36 -0500
Received: from outbound.soverin.net ([116.202.65.218]:46393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lK76A-0001X2-S7
 for 47040 <at> debbugs.gnu.org; Wed, 10 Mar 2021 17:14:35 -0500
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 2FD566008B;
 Wed, 10 Mar 2021 22:14:29 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1615414468; bh=0QHLjZg3um0NrognN8Qt+4CtGn38F5W4XrHVBs94aM4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=nthggrYyEzjNrknU2PJACgUWyyqgsT7VbsEjuz1wobJUTRBzeOv9aGTuWzpTku3x8
 Rnx3H9x3WPNyXzm4JxbRU6Vmi/qKmba8Ze1MbMHMvpDToL2HkNF0JpFs5zdAQM/j+x
 qe0YylJf/7jUCKbhkiuh+ZCjRDo7PewTWiWhGykWhN3mECpdtJIK3cYsLhixDTRTSW
 clyV86buyLyeG8h2QAc+tTX8uPf10lyDC02cWHq0UN5A1JqL7eV1eBVQPc3kWbXjGj
 cR7RB6LT4wZEisZ2LIjFY2e0As8RClVK631gKb/ygM1M2b5TkSlrvZW0g0Lo43cV9M
 UF3+k08Ly9+jQ==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 45300202AE43BA; Wed, 10 Mar 2021 22:14:25 +0000 (GMT)
Date: Wed, 10 Mar 2021 22:14:25 +0000
From: Alan Third <alan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47040: 27.1; PNG binary transparency is ignored
Message-ID: <YElEwZTerbLMFGR9@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 ynyaaa@HIDDEN, 47040 <at> debbugs.gnu.org
References: <86o8fr1e3d.fsf@HIDDEN> <87czw7jbgq.fsf@HIDDEN>
 <83tupjniri.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83tupjniri.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47040
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, ynyaaa@HIDDEN, 47040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Mar 10, 2021 at 05:14:09PM +0200, Eli Zaretskii wrote:
> > From: Lars Ingebrigtsen <larsi@HIDDEN>
> > Date: Wed, 10 Mar 2021 16:05:25 +0100
> > Cc: 47040 <at> debbugs.gnu.org
> > 
> > > Red pixels in the both images have 0 for alpha value, so they should be
> > > transparent and invisible, but transparent1.png is displayed as a red
> > > square with a green frame in a emacs buffer.
> > >
> > > transparent2.png is displayed as a white square with a green frame as
> > > expected.
> > >
> > > When they are displayed in a chrome browser, inner squares of the both
> > > images are displayed as transparent.
> > 
> > I'm unable to reproduce this in Emacs 27.1 in Debian/bullseye, so this
> > may be a Windows-specific problem.  It may also be fixed in Emacs 28,
> > since the transparency code has gotten a lot of work.  Would it be
> > possible for you to check in Emacs 28 whether this problem is still
> > present there?
> > 
> > If not, can somebody else with Windows and Emacs 28 check whether the
> > problem is still present?
> 
> The problem is still present when using the default libpng, but not if
> I use the w32 native image API.

I see the same on NS, so it must be something wrong with the libpng
support code. Although I don't know why Lars doesn't see it on Debian.

I wonder if it's related to image.c:6909

    # ifdef PNG_tRNS_SUPPORTED

It looks like that is not defined here... I don't really understand
what the png code is doing with transparency.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47040; Package emacs. Full text available.

Message received at 47040 <at> debbugs.gnu.org:


Received: (at 47040) by debbugs.gnu.org; 10 Mar 2021 15:14:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 10:14:20 2021
Received: from localhost ([127.0.0.1]:51582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK0XU-0003zd-2t
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 10:14:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lK0XS-0003zP-NI
 for 47040 <at> debbugs.gnu.org; Wed, 10 Mar 2021 10:14:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34995)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lK0XL-0001Ph-Hv; Wed, 10 Mar 2021 10:14:11 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1356
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lK0XK-0000B3-UP; Wed, 10 Mar 2021 10:14:11 -0500
Date: Wed, 10 Mar 2021 17:14:09 +0200
Message-Id: <83tupjniri.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87czw7jbgq.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 10 Mar 2021 16:05:25 +0100)
Subject: Re: bug#47040: 27.1; PNG binary transparency is ignored
References: <86o8fr1e3d.fsf@HIDDEN> <87czw7jbgq.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47040
Cc: ynyaaa@HIDDEN, 47040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 10 Mar 2021 16:05:25 +0100
> Cc: 47040 <at> debbugs.gnu.org
> 
> > Red pixels in the both images have 0 for alpha value, so they should be
> > transparent and invisible, but transparent1.png is displayed as a red
> > square with a green frame in a emacs buffer.
> >
> > transparent2.png is displayed as a white square with a green frame as
> > expected.
> >
> > When they are displayed in a chrome browser, inner squares of the both
> > images are displayed as transparent.
> 
> I'm unable to reproduce this in Emacs 27.1 in Debian/bullseye, so this
> may be a Windows-specific problem.  It may also be fixed in Emacs 28,
> since the transparency code has gotten a lot of work.  Would it be
> possible for you to check in Emacs 28 whether this problem is still
> present there?
> 
> If not, can somebody else with Windows and Emacs 28 check whether the
> problem is still present?

The problem is still present when using the default libpng, but not if
I use the w32 native image API.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47040; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47040 <at> debbugs.gnu.org:


Received: (at 47040) by debbugs.gnu.org; 10 Mar 2021 15:05:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 10:05:38 2021
Received: from localhost ([127.0.0.1]:51531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lK0P4-0003k5-2K
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 10:05:38 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lK0P1-0003jq-Sx
 for 47040 <at> debbugs.gnu.org; Wed, 10 Mar 2021 10:05:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/pXTBWSRNlKG8wn1eCHgIBfyMr834LbauAJJHzbPv5E=; b=MGU/c4si8XNcGwLDw0SrAVPgtF
 +co/CGtGsCOOCykHN2jBpnm3f155fDHPUfkXRuh1RCwsZXXJOWRB5gEnDWWQd3hVps5J0hZW7PjGZ
 b3AT0DZCZZNy08ZZ+Z1W8gXeV7fIZ4X1OaTI8HsKEKsev4gIxOAkKQv3Kpk9OYKX5+3w=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lK0Ot-0004XZ-HU; Wed, 10 Mar 2021 16:05:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ynyaaa@HIDDEN
Subject: Re: bug#47040: 27.1; PNG binary transparency is ignored
References: <86o8fr1e3d.fsf@HIDDEN>
X-Now-Playing: Siouxsie and the Banshees's _Join Hands_: "Premature Burial"
Date: Wed, 10 Mar 2021 16:05:25 +0100
In-Reply-To: <86o8fr1e3d.fsf@HIDDEN> (ynyaaa@HIDDEN's message of "Wed,
 10 Mar 2021 19:45:58 +0900")
Message-ID: <87czw7jbgq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ynyaaa@HIDDEN writes: > Red pixels in the both images have
 0 for alpha value, so they should be > transparent and invisible,
 but transparent1.png
 is displayed as a red > square with a green frame in a emacs buffer. > >
 tra [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47040
Cc: 47040 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

ynyaaa@HIDDEN writes:

> Red pixels in the both images have 0 for alpha value, so they should be
> transparent and invisible, but transparent1.png is displayed as a red
> square with a green frame in a emacs buffer.
>
> transparent2.png is displayed as a white square with a green frame as
> expected.
>
> When they are displayed in a chrome browser, inner squares of the both
> images are displayed as transparent.

I'm unable to reproduce this in Emacs 27.1 in Debian/bullseye, so this
may be a Windows-specific problem.  It may also be fixed in Emacs 28,
since the transparency code has gotten a lot of work.  Would it be
possible for you to check in Emacs 28 whether this problem is still
present there?

If not, can somebody else with Windows and Emacs 28 check whether the
problem is still present?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47040; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Mar 2021 10:46:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 05:46:11 2021
Received: from localhost ([127.0.0.1]:48897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJwLz-0006lT-1r
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 05:46:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:43968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ynyaaa@HIDDEN>) id 1lJwLv-0006lF-7E
 for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 05:46:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41700)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ynyaaa@HIDDEN>) id 1lJwLu-00026Z-VC
 for bug-gnu-emacs@HIDDEN; Wed, 10 Mar 2021 05:46:06 -0500
Received: from mail-pg1-x535.google.com ([2607:f8b0:4864:20::535]:32777)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ynyaaa@HIDDEN>) id 1lJwLs-0001VS-Rx
 for bug-gnu-emacs@HIDDEN; Wed, 10 Mar 2021 05:46:06 -0500
Received: by mail-pg1-x535.google.com with SMTP id g4so11157277pgj.0
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Mar 2021 02:46:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=w2tbAh3Xe+pDYtbRs2KJ92b7/pxnshO8t3V/VTNJX8E=;
 b=SF5ymC6rGr2wZvaSiBRuXoBNh9AvlfzwTEkewNw2xwhKmgFHcybjx3pzKLrdkGmve2
 9oMldV9uzZL/iWXUsK0NvAjE5X1cLgNgX9AShKNorZMHuBidaoAop4YPfuqbbuqGHD7i
 7VS1h/hlGyYPZkM71hAzd70MB+wCtUfr5jTG3n3ahi4gb0swhQg+cllONtakm3h96GFS
 CaxsHQ99n2CcDmtoG3vPp55pHi+UVscQ79aQg7D8tOqjlpLuo6SLeJMYaqviqoofcknQ
 5U+9Q1MOPmHzP/QBejVkvVuKO0tjoeEYpUSDeC9mMJHPE5aSswvohWHEbw9Nb0zENj9s
 9JpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=w2tbAh3Xe+pDYtbRs2KJ92b7/pxnshO8t3V/VTNJX8E=;
 b=teixVjFOvl1KzSFtFPAQ4voJtnEXNEnBQ4ttxutS2qIUKkiOMeFoe+XokOrM1QOKvd
 7YPWtH5JmGUMi0BpNboYijTgpflHyu9IhkTSOzeUW5ac6jF53OKUWMR4os15Os84DGsP
 cFpz+jACZ5dX9Btu9LDMdfV/BxP0zyHFpDsR+/xhOOgPvAMDvE4yY8D1OBBS133vVHbi
 ktTU8a5gYQen2plvq3ebaK7fazLjLGuG/WampBwJO32c4u4v2trl28M3AhUzrkOvYv7+
 +ZFfEO+XrJyfd1zWKUgkxPdq30W+jwB0ktiVK8VUlZGn6HqW51eFDqopQQ8hEb5M6pCd
 8SFg==
X-Gm-Message-State: AOAM532aKvXqYg8Q0H1iMJVfYtrrCLLf324vVcupkYOu7OEBPgR1E2Rw
 MI9chS6iCF6dTOss00GaNB0Gm1lZmUk=
X-Google-Smtp-Source: ABdhPJzBcdhEfEh1/xIqDSPg0mvVLYSqkRIrxgjCSaipi70pjPQvB2DPCVxAAKcBX892mWtoWvA4tg==
X-Received: by 2002:a65:6205:: with SMTP id d5mr2308839pgv.40.1615373163216;
 Wed, 10 Mar 2021 02:46:03 -0800 (PST)
Received: from HP (east42-p109.eaccess.hi-ho.ne.jp. [219.121.173.110])
 by smtp.gmail.com with ESMTPSA id t22sm6168461pjw.54.2021.03.10.02.46.01
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 10 Mar 2021 02:46:02 -0800 (PST)
From: ynyaaa@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; PNG binary transparency is ignored
Date: Wed, 10 Mar 2021 19:45:58 +0900
Message-ID: <86o8fr1e3d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2607:f8b0:4864:20::535;
 envelope-from=ynyaaa@HIDDEN; helo=mail-pg1-x535.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain


If a PNG file has a aplpha plain composeed of only 0 or 255,
its transparency is ignored.

The attached file transparent1.png is a red sqaure framed with a green
line, where red pixels have 0 for alpha value and green pixels have 255
for alpha value.
transparent2.png is a similar image, but the alpha values for green
pixels are 254.

Red pixels in the both images have 0 for alpha value, so they should be
transparent and invisible, but transparent1.png is displayed as a red
square with a green frame in a emacs buffer.

transparent2.png is displayed as a white square with a green frame as
expected.

When they are displayed in a chrome browser, inner squares of the both
images are displayed as transparent.


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=transparent1.png
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEX/AAAA/wD///8A9gQV
AAAAAXRSTlMAQObYZgAAAAFiS0dEAmYLfGQAAAAHdElNRQflAwsEBBhq9SjOAAAAFElEQVQI12MI
BQIGBwYGRsoJkFEA/esGN714MCUAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDMtMTBUMTk6MDQ6
MjQrMDk6MDDnV2jYAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAzLTEwVDE5OjA0OjI0KzA5OjAw
lgrQZAAAAABJRU5ErkJggg==
--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=transparent2.png
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEX/AAAA/wD///8A9gQV
AAAAAnRSTlMA/iyWEiMAAAABYktHRAJmC3xkAAAAB3RJTUUH5QMLBAQf9JG9bQAAABRJREFUCNdj
CAUCBgcGBkbKCZBRAP3rBje9eDAlAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAzLTEwVDE5OjA0
OjMxKzA5OjAwecVH4QAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMy0xMFQxOTowNDozMSswOTow
MAiY/10AAAAASUVORK5CYII=
--=-=-=
Content-Type: text/plain



In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
 of 2020-08-22 built on CIRROCUMULUS
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro (v10.0.1909.18363.1379)

Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(mule-util eieio-opt cl-extra speedbar sb-image ezimage dframe apropos
image-mode exif dired-aux gnutls network-stream nsm mailalias smtpmail
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs json map
misearch multi-isearch pp shadow sort mail-extr emacsbug message rmc
puny dired dired-loaddefs format-spec rfc822 mml mml-sec password-cache
epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-fns radix-tree cl-print debug
backtrace help-mode easymenu find-func cl-loaddefs cl-lib term/bobcat
japan-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 81166 41710)
 (symbols 48 9599 0)
 (strings 32 27679 2980)
 (string-bytes 1 803013)
 (vectors 16 15294)
 (vector-slots 8 285442 20934)
 (floats 8 48 289)
 (intervals 56 1355 1190)
 (buffers 1000 28))

--=-=-=--




Acknowledgement sent to ynyaaa@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47040; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 13 May 2021 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.